Cyberduck Mountain Duck CLI

#6829 closed defect (fixed)

Crash in NSDateFormatter

Reported by: smoeller Owned by:
Priority: normal Milestone: 4.3
Component: core Version: 4.2.1
Severity: normal Keywords: crash open mountain lion 10.8
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Cyberduck crashes directly after opening on Mountain Lion 10.8 under different accounts (admin and network managed). I've tried some versions from 4.1 to 4.2.2 nightly and it's everytime the same. Trashing the preferences and the Cyberduck folder in ~/Application Support/ doesn't help anything.

What ca I do?

Here's the Crash Reporter Output:

Process:         Cyberduck [469]
Path:            /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         4.2.2 (9636)
Code Type:       X86 (Native)
Parent Process:  launchd [163]
User ID:         501

Date/Time:       2012-08-23 15:02:20.262 +0200
OS Version:      Mac OS X 10.8 (12A269)
Report Version:  10

Interval Since Last Report:          1538 sec
Crashes Since Last Report:           4
Per-App Interval Since Last Report:  12 sec
Per-App Crashes Since Last Report:   4
Anonymous UUID:                      7F099A76-8451-4178-B587-BFA065CDED56

Crashed Thread:  62  Java: Thread-19

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000140

VM Regions Near 0x140:
--> __PAGEZERO             0000000000000000-0000000000001000 [    4K] ---/--- SM=NUL  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
    __TEXT                 0000000000001000-0000000000002000 [    4K] r-x/rwx SM=COW  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck

Application Specific Information:
Java information:
 Exception type: Bus Error (0xa) at pc=000000000135c050
 
 Java VM: Java HotSpot(TM) Client VM (20.8-b03-424 mixed mode macosx-x86)
 
Current thread (000000003eb14c00):  JavaThread "Thread-19" [_thread_in_native, id=-1285574656, stack(00000000b34fb000,00000000b35fb000)]
Stack: [00000000b34fb000,00000000b35fb000]
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
J  com.sun.jna.Native.invokeInt(JI[Ljava/lang/Object;)I
J  com.sun.jna.Function.invoke([Ljava/lang/Object;Ljava/lang/Class;Z)Ljava/lang/Object;
J  com.sun.jna.Function.invoke(Ljava/lang/Class;[Ljava/lang/Object;Ljava/util/Map;)Ljava/lang/Object;
J  org.rococoa.internal.MsgSendHandler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  com.sun.jna.Library$Handler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  $Proxy0.syntheticSendMessage(Ljava/lang/Class;Lorg/rococoa/ID;Lorg/rococoa/Selector;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.Foundation.send(Lorg/rococoa/ID;Lorg/rococoa/Selector;Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(Ljava/lang/reflect/Method;Lorg/rococoa/ID;Ljava/lang/String;Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.intercept(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;Lnet/sf/cglib/proxy/MethodProxy;)Ljava/lang/Object;
j  ch.cyberduck.ui.cocoa.foundation.NSDateFormatter$$ByRococoa.stringFromDate(Lch/cyberduck/ui/cocoa/foundation/NSDate;)Ljava/lang/String;+36
j  ch.cyberduck.ui.cocoa.UserDefaultsDateFormatter.getLongFormat(JZ)Ljava/lang/String;+25
j  ch.cyberduck.ui.AbstractDateFormatter.getLongFormat(J)Ljava/lang/String;+3
j  ch.cyberduck.core.AbstractRendezvous.add(Ljava/lang/String;Ljava/lang/String;ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;)V+100
j  ch.cyberduck.core.RendezvousResponder.serviceResolved(Lcom/apple/dnssd/DNSSDService;IILjava/lang/String;Ljava/lang/String;ILcom/apple/dnssd/TXTRecord;)V+136
v  ~StubRoutines::call_stub
j  com.apple.dnssd.AppleService.ProcessResults()I+0
j  com.apple.dnssd.AppleService.run()V+33
j  java.lang.Thread.run()V+11
v  ~StubRoutines::call_stub
 
Java Threads: ( => current thread )
  000000003db43c00 JavaThread "Thread-26" [_thread_blocked, id=-1278177280, stack(00000000b3c09000,00000000b3d09000)]
  000000004230b800 JavaThread "Thread-25" [_thread_blocked, id=-1279234048, stack(00000000b3b07000,00000000b3c07000)]
  000000003eb15c00 JavaThread "Thread-24" [_thread_blocked, id=-1280290816, stack(00000000b3a05000,00000000b3b05000)]
  000000004530d800 JavaThread "Thread-23" [_thread_blocked, id=-1281347584, stack(00000000b3903000,00000000b3a03000)]
  000000003db42c00 JavaThread "Thread-22" [_thread_blocked, id=-1282404352, stack(00000000b3801000,00000000b3901000)]
  000000003db41c00 JavaThread "Thread-21" [_thread_blocked, id=-1283461120, stack(00000000b36ff000,00000000b37ff000)]
  000000004730b800 JavaThread "Thread-20" [_thread_blocked, id=-1284517888, stack(00000000b35fd000,00000000b36fd000)]
=>000000003eb14c00 JavaThread "Thread-19" [_thread_in_native, id=-1285574656, stack(00000000b34fb000,00000000b35fb000)]
  000000003f30b400 JavaThread "Thread-18" [_thread_blocked, id=-1286631424, stack(00000000b33f9000,00000000b34f9000)]
  000000003eb14000 JavaThread "Thread-16" [_thread_blocked, id=-1287688192, stack(00000000b32f7000,00000000b33f7000)]
  000000004730a800 JavaThread "Thread-17" [_thread_blocked, id=-1288744960, stack(00000000b31f5000,00000000b32f5000)]
  000000003db40c00 JavaThread "Thread-15" [_thread_in_native, id=-1289801728, stack(00000000b30f3000,00000000b31f3000)]
  000000003db3fc00 JavaThread "Thread-13" [_thread_in_native, id=-1290858496, stack(00000000b2ff1000,00000000b30f1000)]
  0000000036320000 JavaThread "Thread-14" [_thread_blocked, id=-1291915264, stack(00000000b2eef000,00000000b2fef000)]
  000000004530c800 JavaThread "Thread-12" [_thread_in_native, id=-1292972032, stack(00000000b2ded000,00000000b2eed000)]
  000000003631f000 JavaThread "Thread-11" [_thread_in_native, id=-1294028800, stack(00000000b2ceb000,00000000b2deb000)]
  000000004530b800 JavaThread "Thread-10" [_thread_in_native, id=-1295085568, stack(00000000b2be9000,00000000b2ce9000)]
  0000000035c63400 JavaThread "background-8" [_thread_blocked, id=-1296142336, stack(00000000b2ae7000,00000000b2be7000)]
  00000000375f3800 JavaThread "background-7" [_thread_in_Java, id=-1297199104, stack(00000000b29e5000,00000000b2ae5000)]
  0000000036bb7400 JavaThread "background-6" [_thread_blocked, id=-1298255872, stack(00000000b28e3000,00000000b29e3000)]
  0000000036bb4c00 JavaThread "background-5" [_thread_in_native, id=-1299312640, stack(00000000b27e1000,00000000b28e1000)]
  0000000036bb4000 JavaThread "background-4" [_thread_blocked, id=-1300369408, stack(00000000b26df000,00000000b27df000)]
  0000000036bb3400 JavaThread "background-3" [_thread_blocked, id=-1301426176, stack(00000000b25dd000,00000000b26dd000)]
  000000000d625800 JavaThread "background-2" [_thread_in_vm, id=-1302482944, stack(00000000b24db000,00000000b25db000)]
  000000000d625000 JavaThread "background-1" [_thread_blocked, id=-1303539712, stack(00000000b23d9000,00000000b24d9000)]
  0000000035b11800 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=-1313107968, stack(00000000b1ab9000,00000000b1bb9000)]
  0000000035b10800 JavaThread "C1 CompilerThread0" daemon [_thread_blocked, id=-1314164736, stack(00000000b19b7000,00000000b1ab7000)]
  0000000035b0f800 JavaThread "Attach Listener" daemon [_thread_blocked, id=-1315221504, stack(00000000b18b5000,00000000b19b5000)]
  0000000035b0e800 JavaThread "Surrogate Locker Thread (Concurrent GC)" daemon [_thread_blocked, id=-1316278272, stack(00000000b17b3000,00000000b18b3000)]
  000000000d5ee400 JavaThread "Finalizer" daemon [_thread_in_Java, id=-1317335040, stack(00000000b16b1000,00000000b17b1000)]
  000000000d5ed400 JavaThread "Reference Handler" daemon [_thread_blocked, id=-1318391808, stack(00000000b15af000,00000000b16af000)]
  000000000d30cc00 JavaThread "main" [_thread_in_vm, id=28699176, stack(00000000bf800000,00000000c0000000)]
Other Threads:
  000000000d5eac00 VMThread [stack: 00000000b14ad000,00000000b15ad000] [id=-1319448576]
  0000000035b12800 WatcherThread [stack: 00000000b1bbb000,00000000b1cbb000] [id=-1312051200]
 
VM state:not at safepoint (normal execution)
VM Mutex/Monitor currently owned by a thread: None
 
Heap
 par new generation   total 14784K, used 2397K [000000000f810000, 0000000010810000, 0000000013810000)
  eden space 13184K,   6% used [000000000f810000, 000000000f8d7598, 00000000104f0000)
  from space 1600K, 100% used [00000000104f0000, 0000000010680000, 0000000010680000)
  to   space 1600K,   0% used [0000000010680000, 0000000010680000, 0000000010810000)
 concurrent mark-sweep generation total 49152K, used 8432K [0000000013810000, 0000000016810000, 000000002f810000)
 concurrent-mark-sweep perm gen total 31332K, used 19588K [000000002f810000, 00000000316a9000, 0000000033810000)
 
Code Cache  [000000000d801000, 000000000da22000, 000000000f801000)
 total_blobs=980 nmethods=837 adapters=87 free_code_cache=31347200 largest_free_block=192
 
Virtual Machine Arguments:
JVM Args: -Xbootclasspath/a:/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Resources/LauncherSupport.jar -Xmx512m -Djava.awt.headless=true -Djava.library.path=/Applications/Cyberduck.app/Contents/Resources/Java -Djna.boot.library.path=/Applications/Cyberduck.app/Contents/Resources/Java -Djna.library.path=/Applications/Cyberduck.app/Contents/Resources/Java -Djna.nounpack=true -Djava.awt.headless=true -Dsun.jnu.encoding=utf-8 -Dfile.encoding=utf-8 -XX:-UsePerfData -XX:+ReduceSignalUsage -Xincgc -XX:-UseLoopPredicate -XX:-OptimizeStringConcat 
Java Command: <unknown>
Launcher Type: generic
Physical Memory: Page Size = 4k, Total = 16384M, Free = 901M

Change History (7)

comment:1 Changed on Aug 23, 2012 at 1:32:36 PM by smoeller

Here's the Crash Reporter Output from a non-admin network user. Its has a different exception type but the same symptom. Cyberduck crashes directly after opening.

Process:         Cyberduck [693]
Path:            /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         4.2.2 (9636)
Code Type:       X86 (Native)
Parent Process:  launchd [575]
User ID:         1465

Date/Time:       2012-08-23 15:22:05.300 +0200
OS Version:      Mac OS X 10.8 (12A269)
Report Version:  10

Interval Since Last Report:          36266 sec
Crashes Since Last Report:           51
Per-App Interval Since Last Report:  150 sec
Per-App Crashes Since Last Report:   1
Anonymous UUID:                      7F099A76-8451-4178-B587-BFA065CDED56

Crashed Thread:  58  Java: Thread-17

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000fffffffc

VM Regions Near 0xfffffffc:
--> shared memory          00000000ffffc000-00000000ffffd000 [    4K] r-x/r-x SM=SHM  
    

Application Specific Information:
Java information:
 Exception type: Bus Error (0xa) at pc=0000000001a9cf5e
 
 Java VM: Java HotSpot(TM) Client VM (20.8-b03-424 mixed mode macosx-x86)
 
Current thread (000000003d241c00):  JavaThread "Thread-17" [_thread_in_native, id=-1288753152, stack(00000000b31f3000,00000000b32f3000)]
Stack: [00000000b31f3000,00000000b32f3000]
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
J  com.sun.jna.Native.invokeInt(JI[Ljava/lang/Object;)I
J  com.sun.jna.Function.invoke([Ljava/lang/Object;Ljava/lang/Class;Z)Ljava/lang/Object;
J  com.sun.jna.Function.invoke(Ljava/lang/Class;[Ljava/lang/Object;Ljava/util/Map;)Ljava/lang/Object;
J  org.rococoa.internal.MsgSendHandler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  com.sun.jna.Library$Handler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  $Proxy0.syntheticSendMessage(Ljava/lang/Class;Lorg/rococoa/ID;Lorg/rococoa/Selector;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.Foundation.send(Lorg/rococoa/ID;Lorg/rococoa/Selector;Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.sendOnThisOrMainThread(Ljava/lang/reflect/Method;Lorg/rococoa/ID;Ljava/lang/String;Ljava/lang/Class;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.invokeCocoa(Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rococoa.internal.ObjCObjectInvocationHandler.intercept(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;Lnet/sf/cglib/proxy/MethodProxy;)Ljava/lang/Object;
j  ch.cyberduck.ui.cocoa.foundation.NSDateFormatter$$ByRococoa.stringFromDate(Lch/cyberduck/ui/cocoa/foundation/NSDate;)Ljava/lang/String;+36
j  ch.cyberduck.ui.cocoa.UserDefaultsDateFormatter.getLongFormat(JZ)Ljava/lang/String;+25
j  ch.cyberduck.ui.AbstractDateFormatter.getLongFormat(J)Ljava/lang/String;+3
j  ch.cyberduck.core.AbstractRendezvous.add(Ljava/lang/String;Ljava/lang/String;ILjava/lang/String;Ljava/lang/String;Ljava/lang/String;)V+100
j  ch.cyberduck.core.RendezvousResponder.serviceResolved(Lcom/apple/dnssd/DNSSDService;IILjava/lang/String;Ljava/lang/String;ILcom/apple/dnssd/TXTRecord;)V+136
v  ~StubRoutines::call_stub
j  com.apple.dnssd.AppleService.ProcessResults()I+0
j  com.apple.dnssd.AppleService.run()V+33
j  java.lang.Thread.run()V+11
v  ~StubRoutines::call_stub
 
Java Threads: ( => current thread )
  000000003f18c800 JavaThread "Thread-26" [_thread_blocked, id=-1279242240, stack(00000000b3b05000,00000000b3c05000)]
  000000000d21d800 JavaThread "Thread-25" [_thread_in_native, id=-1280299008, stack(00000000b3a03000,00000000b3b03000)]
  000000000d21c800 JavaThread "Thread-24" [_thread_in_native, id=-1281355776, stack(00000000b3901000,00000000b3a01000)]
  000000000d21b800 JavaThread "Thread-23" [_thread_blocked, id=-1282412544, stack(00000000b37ff000,00000000b38ff000)]
  000000000d21a800 JavaThread "Thread-22" [_thread_blocked, id=-1283469312, stack(00000000b36fd000,00000000b37fd000)]
  000000003f18b800 JavaThread "Thread-21" [_thread_blocked, id=-1284526080, stack(00000000b35fb000,00000000b36fb000)]
  000000003c974c00 JavaThread "Thread-20" [_thread_in_native, id=-1285582848, stack(00000000b34f9000,00000000b35f9000)]
  000000000d219800 JavaThread "Thread-19" [_thread_blocked, id=-1286639616, stack(00000000b33f7000,00000000b34f7000)]
  000000000df6d800 JavaThread "Thread-18" [_thread_blocked, id=-1287696384, stack(00000000b32f5000,00000000b33f5000)]
=>000000003d241c00 JavaThread "Thread-17" [_thread_in_native, id=-1288753152, stack(00000000b31f3000,00000000b32f3000)]
  000000000d218800 JavaThread "Thread-16" [_thread_in_native, id=-1289809920, stack(00000000b30f1000,00000000b31f1000)]
  0000000036185400 JavaThread "Thread-14" [_thread_in_native, id=-1290866688, stack(00000000b2fef000,00000000b30ef000)]
  000000003c973c00 JavaThread "Thread-15" [_thread_in_native, id=-1291923456, stack(00000000b2eed000,00000000b2fed000)]
  000000000d217800 JavaThread "Thread-13" [_thread_in_native, id=-1292980224, stack(00000000b2deb000,00000000b2eeb000)]
  000000000d216c00 JavaThread "Thread-12" [_thread_in_native, id=-1294036992, stack(00000000b2ce9000,00000000b2de9000)]
  000000000df6c800 JavaThread "Thread-11" [_thread_in_native, id=-1295093760, stack(00000000b2be7000,00000000b2ce7000)]
  000000000df6b800 JavaThread "Thread-10" [_thread_in_native, id=-1296150528, stack(00000000b2ae5000,00000000b2be5000)]
  000000003f18a800 JavaThread "background-8" [_thread_blocked, id=-1297207296, stack(00000000b29e3000,00000000b2ae3000)]
  000000003f188800 JavaThread "background-7" [_thread_in_Java, id=-1298264064, stack(00000000b28e1000,00000000b29e1000)]
  000000003f187800 JavaThread "background-6" [_thread_blocked, id=-1299320832, stack(00000000b27df000,00000000b28df000)]
  000000003f186400 JavaThread "background-5" [_thread_in_native, id=-1300377600, stack(00000000b26dd000,00000000b27dd000)]
  000000003f185800 JavaThread "background-4" [_thread_blocked, id=-1301434368, stack(00000000b25db000,00000000b26db000)]
  000000003f184800 JavaThread "background-3" [_thread_blocked, id=-1302491136, stack(00000000b24d9000,00000000b25d9000)]
  000000003f183800 JavaThread "background-2" [_thread_in_vm, id=-1303547904, stack(00000000b23d7000,00000000b24d7000)]
  000000003f183000 JavaThread "background-1" [_thread_blocked, id=-1304604672, stack(00000000b22d5000,00000000b23d5000)]
  000000000d15a000 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=-1312575488, stack(00000000b1b3b000,00000000b1c3b000)]
  000000000d159000 JavaThread "C1 CompilerThread0" daemon [_thread_blocked, id=-1313632256, stack(00000000b1a39000,00000000b1b39000)]
  000000000d158000 JavaThread "Attach Listener" daemon [_thread_blocked, id=-1314689024, stack(00000000b1937000,00000000b1a37000)]
  000000000d157000 JavaThread "Surrogate Locker Thread (Concurrent GC)" daemon [_thread_blocked, id=-1315745792, stack(00000000b1835000,00000000b1935000)]
  000000000dc36000 JavaThread "Finalizer" daemon [_thread_blocked, id=-1316802560, stack(00000000b1733000,00000000b1833000)]
  000000000dc35000 JavaThread "Reference Handler" daemon [_thread_blocked, id=-1317859328, stack(00000000b1631000,00000000b1731000)]
  000000000d954400 JavaThread "main" [_thread_in_native, id=28699176, stack(00000000bf800000,00000000c0000000)]
Other Threads:
  000000000dc32400 VMThread [stack: 00000000b152f000,00000000b162f000] [id=-1318916096]
  000000000d15b000 WatcherThread [stack: 00000000b1c3d000,00000000b1d3d000] [id=-1311518720]
 
VM state:not at safepoint (normal execution)
VM Mutex/Monitor currently owned by a thread: None
 
Heap
 par new generation   total 14784K, used 12196K [0000000010810000, 0000000011810000, 0000000014810000)
  eden space 13184K,  83% used [0000000010810000, 00000000112de838, 00000000114f0000)
  from space 1600K,  70% used [00000000114f0000, 000000001160a9f0, 0000000011680000)
  to   space 1600K,   0% used [0000000011680000, 0000000011680000, 0000000011810000)
 concurrent mark-sweep generation total 49152K, used 7613K [0000000014810000, 0000000017810000, 0000000030810000)
 concurrent-mark-sweep perm gen total 32048K, used 19878K [0000000030810000, 000000003275c000, 0000000034810000)
 
Code Cache  [000000000e801000, 000000000ea22000, 0000000010801000)
 total_blobs=982 nmethods=839 adapters=87 free_code_cache=31324608 largest_free_block=192
 
Virtual Machine Arguments:
JVM Args: -Xbootclasspath/a:/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Resources/LauncherSupport.jar -Xmx512m -Djava.awt.headless=true -Djava.library.path=/Applications/Cyberduck.app/Contents/Resources/Java -Djna.boot.library.path=/Applications/Cyberduck.app/Contents/Resources/Java -Djna.library.path=/Applications/Cyberduck.app/Contents/Resources/Java -Djna.nounpack=true -Djava.awt.headless=true -Dsun.jnu.encoding=utf-8 -Dfile.encoding=utf-8 -XX:-UsePerfData -XX:+ReduceSignalUsage -Xincgc -XX:-UseLoopPredicate -XX:-OptimizeStringConcat 
Java Command: <unknown>
Launcher Type: generic
Physical Memory: Page Size = 4k, Total = 16384M, Free = 770M
Last edited on Aug 23, 2012 at 1:34:41 PM by smoeller (previous) (diff)

comment:2 Changed on Aug 25, 2012 at 10:31:14 AM by dkocher

  • Summary changed from Cyberduck crashes on Mountain Lion 10.8 to Crash in NSDateFormatter

comment:3 Changed on Aug 25, 2012 at 10:31:50 AM by dkocher

#6832 closed as duplicate.

comment:4 Changed on Sep 13, 2012 at 12:11:22 PM by dkocher

#6857 closed as duplicate.

comment:5 Changed on Sep 13, 2012 at 12:14:32 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to fixed
  • Status changed from new to closed

In r9695.

comment:6 Changed on Sep 25, 2012 at 5:27:35 PM by dkocher

#6814 closed as duplicate.

comment:7 Changed on Feb 8, 2013 at 1:16:24 PM by treaves

Five months ago this is set to fixed, yet no release has been made. When will one?

Note: See TracTickets for help on using tickets.
swiss made software